<template>
	<div class="flex h-screen">
		<div class="m-auto">
			<div class="bg-white dark:bg-gray-800 w-full mx-auto p-8" v-if="joke">
			    <img :src="joke.icon_url" class="h-10 w-10 mb-8 m-auto"/>
			    <p class="text-gray-600 dark:text-white w-full md:w-2/3 m-auto text-center text-lg md:text-3xl">
			        <span class="font-bold text-red-500">“ </span>
			        <span>{{joke.value}}</span>
			        <span class="font-bold text-red-500"> ”</span>
			    </p>
			    <div class="flex items-center justify-center mt-8">
			    	<span class="text-gray-400 text-md ml-2 cursor-pointer" @click="changeJoke">
			    		Change
			    	</span>
			    </div>
			</div>
		</div>
	</div>
</template>

<script>
import {ref, onMounted, computed, watch} from 'vue'
import { useStore } from 'vuex';
export default {
  name: 'Home',
  setup(){
  	let store = useStore()
  	const joke = computed(() => store.getters.joke)

  	onMounted(() => {
  		store.dispatch('fetchJoke')
  	})

  	let changeJoke = () => {
  		store.dispatch('fetchJoke')
  	}

	watch(() => store.state.joke, (joke, prevJoke) => {
		console.log(joke, prevJoke);
	});

  	return {
  		joke,
  		changeJoke
  	}
  }
}
</script>
